﻿
using System;
using Wisej.Web;
using Wisej.Web.Ext.ChartJS;

namespace SampleChartJS
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        private void Page1_Load(object sender, EventArgs e)
        {
            //ChartrJS Bar
            chartJS1.ChartType = ChartType.Bar;
            chartJS1.Labels = new string[] { "A", "B", "C", "D", "E", "F", "G" };
            BarDataSet barDataSet1 = new BarDataSet
            {
                Label = "Sample1",
                BorderColor = null,
                BackgroundColor = new[] { System.Drawing.Color.Red, System.Drawing.Color.Blue, System.Drawing.Color.Lime, System.Drawing.Color.Cyan, System.Drawing.Color.Yellow, System.Drawing.Color.Magenta, System.Drawing.Color.FromArgb(153, 153, 153) },
                HoverBackgroundColor = null,
                Data = new object[] { 100,50, 50, 70,20, 30, 60 }
            };
            chartJS1.DataSets.Add(barDataSet1);
            chartJS1.UpdateData();

            //ChartrJS HorizontalBarChart 
            chartJS2.ChartType = ChartType.HorizontalBar;
            chartJS2.Labels = new string[] { "A", "B", "C", "D", "E", "F", "G" };
            BarDataSet barDataSet2 = new BarDataSet
            {
                Label = "Sample2",
                BorderColor = null,
                BackgroundColor = new[] { System.Drawing.Color.Red, System.Drawing.Color.Blue, System.Drawing.Color.Lime, System.Drawing.Color.Cyan, System.Drawing.Color.Yellow, System.Drawing.Color.Magenta, System.Drawing.Color.FromArgb(153, 153, 153) },
                HoverBackgroundColor = null,
                Data = new object[] { 100, 50, 50, 70, 20, 30, 60 }
            };
            chartJS2.DataSets.Add(barDataSet2);
            chartJS2.UpdateData();
        }
    }
}
